<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://www.w3.org/1999/xhtml"
                xmlns:fn="http://www.w3.org/2005/02/xpath-functions"
                xmlns:regexp="http://exslt.org/regular-expressions"
                xmlns:ll="http://typo3.org/extensions/repository/view/pure/current/"
                
                xmlns:core="http://atira.dk/schemas/pure4/model/core/stable"
                xmlns:publication="http://atira.dk/schemas/pure4/model/abstractpublication/stable"
                xmlns:person="http://atira.dk/schemas/pure4/model/abstractperson/stable"
                xmlns:extensions="http://atira.dk/schemas/pure4/model/extensions/stable"
                xmlns:organisation="http://atira.dk/schemas/pure4/model/abstractorganisation/stable"
                xmlns:event="http://atira.dk/schemas/pure4/model/abstractevent/stable"
                xmlns:stab="http://atira.dk/schemas/pure4/dk/model/publication/stable"
                
                xmlns:str="http://exslt.org/strings"
                exclude-result-prefixes="fn str regexp ll core publication person extensions organisation event stab">
  <xsl:import href="localization.xsl" />
  <xsl:param name="ll:localizationFile" select="'locallang_person.xml'" />
  <xsl:output method="html" indent="yes" omit-xml-declaration="yes"  encoding="utf-8" />

  <xsl:template match="/">
    <xsl:for-each select="//core:result/core:content">
      <div class="au-rel">
        <xsl:apply-templates select="person:profileInformation/extensions:customField[contains(extensions:typeClassification/core:uri, 'Curriculum Vitae')]/extensions:value" mode="localize" />
        <!--<xsl:copy-of select="ll:localize(customFields/item[type/terms/item/term = 'Curriculum Vitae']/value_pri/*, customFields/item[type/terms/item/term = 'Curriculum Vitae']/value_sec/*)"/>-->
      </div>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>