<?php
if (!defined ('TYPO3_MODE')) {
 	die ('Access denied.');
}

t3lib_extMgm::addPItoST43($_EXTKEY, 'pi/class.tx_pure_pi.php', '_pi', 'list_type', 1);

$GLOBALS['T3_VAR']['ext']['dynaflex']['tt_content'][] = 'EXT:pure/class.tx_pure_pichange.php:tx_pure_pichange';

$TYPO3_CONF_VARS['BE']['AJAX']['tx_pure_pi::getOrganisationsHiearchy'] = 'EXT:pure/pi/ajax.php:tx_pure_pi_ajax->getOrganisationsHiearchy';
$TYPO3_CONF_VARS['BE']['AJAX']['tx_pure_pi::getPublicationTypesHiearchy'] = 'EXT:pure/pi/ajax.php:tx_pure_pi_ajax->getPublicationTypesHiearchy';
$TYPO3_CONF_VARS['BE']['AJAX']['tx_pure_pi::getActivityTypesHiearchy'] = 'EXT:pure/pi/ajax.php:tx_pure_pi_ajax->getActivityTypesHiearchy';
$TYPO3_CONF_VARS['BE']['AJAX']['tx_pure_pi::getOrganisationTypesHiearchy'] = 'EXT:pure/pi/ajax.php:tx_pure_pi_ajax->getOrganisationTypesHiearchy';
$TYPO3_CONF_VARS['BE']['AJAX']['tx_pure_pi::getEmploymentTypesHiearchy'] = 'EXT:pure/pi/ajax.php:tx_pure_pi_ajax->getEmploymentTypesHiearchy';
$TYPO3_CONF_VARS['BE']['AJAX']['tx_pure_pi::getPersonsSearch'] = 'EXT:pure/pi/ajax.php:tx_pure_pi_ajax->getPersonsSearch';
$TYPO3_CONF_VARS['BE']['AJAX']['tx_pure_pi::getPublicationsSearch'] = 'EXT:pure/pi/ajax.php:tx_pure_pi_ajax->getPublicationsSearch';
$TYPO3_CONF_VARS['BE']['AJAX']['tx_pure_pi::getActivitiesSearch'] = 'EXT:pure/pi/ajax.php:tx_pure_pi_ajax->getActivitiesSearch';

// Page module hook
$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['cms/layout/class.tx_cms_layout.php']['list_type_Info'][$_EXTKEY.'_pi'][] = 'EXT:pure/class.tx_pure_cms_layout.php:tx_pure_cms_layout->getExtensionSummary';

//Setup default hooks
$TYPO3_CONF_VARS['EXTCONF'][$_EXTKEY]['persons'][] = 'EXT:pure/hooks/class.tx_pure_processing_getPersons.php:&tx_pure_processing_getPersons';
$TYPO3_CONF_VARS['EXTCONF'][$_EXTKEY]['publications'][] = 'EXT:pure/hooks/class.tx_pure_processing_getPublications.php:&tx_pure_processing_getPublications';
$TYPO3_CONF_VARS['EXTCONF'][$_EXTKEY]['activities'][] = 'EXT:pure/hooks/class.tx_pure_processing_getActivities.php:&tx_pure_processing_getActivities';
$TYPO3_CONF_VARS['EXTCONF'][$_EXTKEY]['keywordsfromperson'][] = 'EXT:pure/hooks/class.tx_pure_processing_getKeywords.php:&tx_pure_processing_getKeywords';
$TYPO3_CONF_VARS['EXTCONF'][$_EXTKEY]['classificationschemehierarchy'][] = 'EXT:pure/hooks/class.tx_pure_processing_getKeywords.php:&tx_pure_processing_getKeywords';
$TYPO3_CONF_VARS['EXTCONF'][$_EXTKEY]['organisations'][] = 'EXT:pure/hooks/class.tx_pure_processing_getOrganisations.php:&tx_pure_processing_getOrganisations';


## Extending TypoScript from static template uid=43 to set up userdefined tag:
t3lib_extMgm::addTypoScript($_EXTKEY,'setup','
	tt_content.text.20.parseFunc.tags.pure = < plugin.'.t3lib_extMgm::getCN($_EXTKEY).'_pi

    lib.parseFunc_RTE.allowTags := addToList(pure)
    lib.parseFunc_RTE.tags.pure= < plugin.tx_pure_pi
    lib.parseFunc_RTE.nonTypoTagStdWrap.HTMLparser.tags.pure= < plugin.tx_pure_pi

    lib.parseFunc.allowTags := addToList(pure)
    lib.parseFunc.tags.pure= < plugin.'.t3lib_extMgm::getCN($_EXTKEY).'_pi
    lib.parseFunc.nonTypoTagStdWrap.HTMLparser.tags.pure= < plugin.'.t3lib_extMgm::getCN($_EXTKEY).'_pi
',43);

// Inject plugin.tx_pure_pi.siteAbsPath to be used in CSS
// CSS output can come from /typo3temp or inline in the page, so we need to use a absolute path to handle both cases.
t3lib_extMgm::addTypoScript($_EXTKEY,
        'constants',
        'plugin.tx_pure_pi.siteAbsPath =' . t3lib_div::getIndpEnv('TYPO3_SITE_URL').t3lib_extMgm::siteRelPath($_EXTKEY),
        43);

//Set hook for redirect
$TYPO3_CONF_VARS['EXTCONF'][$_EXTKEY]['redirect']['AU'] = 'EXT:pure/hooks/redirectHooks/class.tx_pure_redirect_aarhus.php:&tx_pure_redirect_aarhus';
$TYPO3_CONF_VARS['EXTCONF'][$_EXTKEY]['redirect']['AAU'] = 'EXT:pure/hooks/redirectHooks/class.tx_pure_redirect_vbn.php:&tx_pure_redirect_vbn';


//Hook example:
//$TYPO3_CONF_VARS['EXTCONF']['pure']['addFieldsToPerson'][] = 'EXT:pure/class.tx_pure_hook_example.php:&tx_pure_hook_example';


/*
 * Example for realurl config:
   $TYPO3_CONF_VARS['EXTCONF']['realurl']['_DEFAULT'] = array(....
				
			'postVarSets' => array(
				'_DEFAULT' => array (
					
					
					'act' => array(
						array(
							'GETvar' => 'tx_pure_pi[actId]',
						),
					),
					'person' => array(
						array(
							'GETvar' => 'tx_pure_pi[personId]',
						),
						
					),
					'org' => array(
						array(
							'GETvar' => 'tx_pure_pi[orgId]',
						),
						
					),
					'showtype'=> array(
						array(
							'GETvar' => 'tx_pure_pi[showType]',
                         ),
					),
					'pub' => array(
						array(
							'GETvar' => 'tx_pure_pi[pubId]',
						),
                     ),
			),
			)...
			
			);
			
 */


?>